Subject: Re: [MOBILE-IP] Differences between the two MIPv4 handoff approac hes

From: "Hesham Soliman (EPA)" <[email-masked]>
Date: Wed, 29 Nov 2000 01:35:41 +1100

> >         => We're not adding anything to the protocol, we're simply
> >         allowin for anticipation, bicasting is already in the basic
> >         protocol. We also argue that this basic protocol is all
> >         that is needed, provided anticipation is used. There is no
> >         need for having new messages and inter-FA security
> >         assumptions.
>
> I don't see new messages as really being an issue here, and if you are to
> have
> FAs talk to each other, then it better be secured.
>
        => I do think it's an issue. It's important for deployment. The
        bigger issue is that they are not needed. I agree that if FA's
        talk to each other then the messages should be secured.
        But as far as MIP is concerned they don't need to talk to
        each other, so there is no need for that extra security
        requirement.

> > > hmmm..... how about you provide us with a concrete example? I know
> that
> > > Mobile
> > > IP *will* be used for CDMA and WLAN.
> > >
> >         => Correction, CDMA is a radio technology and not a system.
> >         As I said earlier there is no point in discussing these system
> >         specific details but to answer your question I already gave a
> very
> >         simple and concrete example, WLAN. The FA in a WLAN
> >         doesn't know the MN is about to move, so how would proactive
> >         address this issue.
>
> sorry, but I don't buy this one. The fact that *some* existing WLAN APs
> are
> not systems is really an implementation issue.
>
        => "some" ? The "majority" is a better word I think.
        I agree it is a configuration issue but it seems that
        this configuraton is very popular.

> Cisco's 802.11 AP includes
> Mobile IP Foreign Agent functionality. No link layer changes are required.
>
        => Ok ! So to be accurate we can say that in the case of WLAN
        the proactive approach will only work if the AP and the FA are
colocated.
        This is exactly what I'm trying to explain, the proactive approach
only
        works for certain architectures. This is a new limitation to MIP
that we
        didn't have before. So for the cases where the FA is not aware of
the
        L2 mobility (eg. most WLANs and 3GPP) , this approach doesn't work.
        In 3GPP the FA is not aware of the degradation in the radio link,
and does
        not get that L2 trigger. Therefore I don't think that this approach
will
        work their either.

        Regards,
        Hesham

---

From: Pat Calhoun <[email-masked]>
Date: Tue, 28 Nov 2000 07:28:26 -0800

>         this configuraton is very popular.

Find, majority. However, how can a Foreign Agent perform ANY fast handoff
scheme if it has NO idea that a mobile is about, or has, moved? The best you
can do is RFC 2002. So, for non colocated APs, RFC 2002 is what you get. If
you combine the functions, then you can provide quick handoff (again, I use
quick here because if I say fast, it sounds like I am talking about your
proposal, but I really mean fast).

I think that majority will become some when vendors have to compete with
products that DO provide faster handoffs.

>         not get that L2 trigger. Therefore I don't think that this approach

In 3GPP2 it DOES via a protocol used between the BSC/PCF and the FA. It
doesn't receive the triggers directly, but rather through a signalling
protocol. Does 3GPP NOT have an equivalent protocol? btw, one could also
design such a protocol between the AP and the FA, if need be.

Of course, as far as I know, 3GPP has no intentions of using Mobile IP :(

PatC